
QGIS Application - Bug report #531

Add multiple selection in map legend

2007-01-11 05:31 AM - guy-duplaa-onf-fr -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10590

Description

In map legend,you can add a layer to a group by drag and drop.

But, because QGIS runs so fast, you can drag easily all the layers you want and group them. I did it for 128 [[GeoTiff]] files representing

1.9 Go. For a reason i don't know, at a new opening all my groups desappeared. So i'm now suppose to drag and drop 128 times again in

a new group.

For the next version, will you permit a multiple selection in the map legend to group all files at once ?

History

#1 - 2007-01-11 06:09 AM - guy-duplaa-onf-fr -

Now, i know the reason of the bug. When you reopen a saved project, if one file is not at the same place, Qgis asks for finding it. Even if you say No, all the

groups have already desapeared

#2 - 2007-02-05 12:17 PM - Magnus Homann

- Status changed from Open to In Progress

#3 - 2007-02-17 10:55 AM - Magnus Homann

For me, the group still exists. The missing layer does not get added to the group, however, even if you find it.

#4 - 2007-03-03 01:38 AM - Magnus Homann

- Status changed from In Progress to Closed

- Resolution set to worksforme

Can you try with latest version 0.8.1 preview2?

http://qgis.org/uploadfiles/testbuilds/qgis_setup0.8.1preview2.exe

Remember to uninstall the old version first.

I will close this, please re-open if the problem persists.

#5 - 2007-03-05 06:29 AM - guy-duplaa-onf-fr -

With latest version 0.8.1 preview2, the group still exists like you said.
http://qgis.org/uploadfiles/testbuilds/qgis_setup0.8.1preview2.exe


So, because the project is in xml, i open the file xxx.qgs and i replace the new path for example with notepad ctrl + H and its OK (but a little heavy)

So, for the next version, will you permit a multiple selection in the map legend to group many files at once ?

Thanks

#6 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.8.2 deleted
